import { BlueBase, ThemeContextData } from '@bluebase/core';
import React from 'react';
export declare class ThemeDarkModeSwitch extends React.PureComponent {
    static contextType: React.Context<BlueBase>;
    toggleDarkMode(changeTheme: ThemeContextData['changeTheme'], BB: BlueBase): Promise<void>;
    render(): JSX.Element;
}
